Subject: %encoding in filename parameters. Re: repeated filename parameters, Re: Working Group Last Call: draft-ietf-httpbis-content-disp-02

From: Adam Barth <[email-masked]>
Date: Sun, 3 Oct 2010 12:21:03 -0700

On Sun, Oct 3, 2010 at 12:03 PM, Julian Reschke <[email-masked]> wrote:
> The site I worked on (an SAP content management system) indeed will not work
> with Chrome, unless it has been fixed since Chrome came out (which I doubt
> because that system is in "maintenance mode"). It will send the
> RFC2231-encoded parameter, and Chrome will not "get" the "filename*"
> parameter. If RFC 2231 support was added in Chrome, the problem would simply
> go away with no server change being required.

I don't think anyone has opposed adding RFC 2231 support.

On Sun, Oct 3, 2010 at 11:59 AM, Julian Reschke <[email-masked]> wrote:
> I'm fully aware that IE and Chrome are not going to stop doing this anytime
> soon.

What's the point of forbidding user agents from doing something we
know they're going to do anyway?  That just makes the specification a
work of fiction.  Rather, the document should explain that it's
defining a subset of the semantics that works across user agents.
That's useful and truthful.

> The best way to workaround this issue is to require that clients
> support the RFC 5987 encoding, which would allow to unambiguously encode the
> name. Unfortunately, we aren't there yet.

That's not at issue here.

Adam

---

From: Julian Reschke <[email-masked]>
Date: Sun, 03 Oct 2010 22:15:52 +0200

On 03.10.2010 21:21, Adam Barth wrote:
> On Sun, Oct 3, 2010 at 12:03 PM, Julian Reschke<[email-masked]>  wrote:
> ...

Well, IE has since 2003, and Chrome since it came out.

Best regards, Julian

---

From: Adam Barth <[email-masked]>
Date: Sun, 3 Oct 2010 13:22:15 -0700

> Well, IE has since 2003, and Chrome since it came out.

I am confused.  Aren't we talking about syntax like the following?

Content-Disposition: attachment; filename*=UTF-8''%e2%82%ac%20rates

I'm happy talk to twist the arm of anyone on the Chrome team who
doesn't think we should implement that syntax.

Adam

---

From: Julian Reschke <[email-masked]>
Date: Sun, 03 Oct 2010 22:35:13 +0200

On 03.10.2010 22:22, Adam Barth wrote:
> On Sun, Oct 3, 2010 at 1:15 PM, Julian Reschke<[email-masked]>  wrote:

Please do (and no, I don't think I raised a bug report for those after 
seeing the response on 
<http://code.google.com/p/chromium/issues/detail?id=118>, but see 
comment #5 over there).

Note that I asked multiple browser vendors not implementing RFC 2231 a 
few years ago, and they complained about vagueness (which encodings do 
we need to support?) and unneeded complexity (continuation lines). We 
fixed those in RFC 5987.

Best regards, Julian

---

From: Adam Barth <[email-masked]>
Date: Sun, 3 Oct 2010 13:49:45 -0700

On Sun, Oct 3, 2010 at 1:35 PM, Julian Reschke <[email-masked]> wrote:
> <http://code.google.com/p/chromium/issues/detail?id=118>, but see comment #5
> over there).

I basically agree with Jungshik Shin that we'd be better off with only
UTF8 and skipping the language decoration, but I'm not sure it's worth
fighting about.

> Note that I asked multiple browser vendors not implementing RFC 2231 a few
> years ago, and they complained about vagueness (which encodings do we need
> to support?) and unneeded complexity (continuation lines). We fixed those in
> RFC 5987.

Great.  I don't have time to write the patch myself, but I'd be happy
to review a patch written by you or someone else that implements this
behavior.

Adam